Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Interface XMLWriter

All Known Implementing Classes:
  DOMBuilder, SAXBuilder, XmlPrinter

public interface XMLWriter

Interface for printing XML documents.

Method Summary
`void` | `attribute(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, java.lang.String value)`
`void` | `cdata(char[] buffer, int offset, int length)`
`void` | `cdata(java.lang.String text)`
`void` | `comment(java.lang.String value)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
`boolean` | `getEscapeText()`
`void` | `processingInstruction(java.lang.String name, java.lang.String value)`
`void` | `setEscapeText(boolean isEscaped)`
`void` | `setLocation(java.lang.String filename, int line, int column)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
`void` | `text(char[] buffer, int offset, int length)`
`void` | `text(java.lang.String text)`

Method Detail

### startDocument

    public void startDocument()
                       throws java.io.IOException,
                              org.xml.sax.SAXException

### endDocument

    public void endDocument()
                     throws java.io.IOException,
                            org.xml.sax.SAXException

### setLocation

    public void setLocation(java.lang.String filename,
                            int line,
                            int column)
                     throws java.io.IOException,
                            org.xml.sax.SAXException

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName)
                      throws java.io.IOException,
                             org.xml.sax.SAXException

### attribute

    public void attribute(java.lang.String namespaceURI,
                          java.lang.String localName,
                          java.lang.String qName,
                          java.lang.String value)
                   throws java.io.IOException,
                          org.xml.sax.SAXException

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws java.io.IOException,
                           org.xml.sax.SAXException

### text

    public void text(java.lang.String text)
              throws java.io.IOException,
                     org.xml.sax.SAXException

### text

    public void text(char[] buffer,
                     int offset,
                     int length)
              throws java.io.IOException,
                     org.xml.sax.SAXException

### cdata

    public void cdata(java.lang.String text)
               throws java.io.IOException,
                      org.xml.sax.SAXException

### cdata

    public void cdata(char[] buffer,
                      int offset,
                      int length)
               throws java.io.IOException,
                      org.xml.sax.SAXException

### getEscapeText

    public boolean getEscapeText()

### setEscapeText

    public void setEscapeText(boolean isEscaped)

### processingInstruction

    public void processingInstruction(java.lang.String name,
                                      java.lang.String value)
                               throws java.io.IOException,
                                      org.xml.sax.SAXException

### comment

    public void comment(java.lang.String value)
                 throws java.io.IOException,
                        org.xml.sax.SAXException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD